using Netina.Common.Models;
using Netina.Common.Models.Api;

namespace Netina.Core.Abstracts;

public interface IUploadFileService : IScopedDependency
{
    Task<FileUploadResponse> UploadImageAsync(FileUploadRequest uploadRequest);
    Task<FileUploadResponse> UploadFileByteAsync(FileUploadRequest uploadRequest);
}